package data_manage

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type EdbUpdateLog struct {
	Id          int64     `json:"id" orm:"column(id);pk"`
	OpDbName    string    `json:"op_db_name"`    // 库名
	OpTableName string    `json:"op_table_name"` // 表名
	OpType      string    `json:"op_type"`       // 变更类型
	OldData     string    `json:"old_data"`      // 历史数据
	NewData     string    `json:"new_data"`      // 新数据
	CreateTime  time.Time `json:"create_time"`
}

func GetEdbUpdateLogByCondition(condition string, pars []interface{}) (item []*EdbUpdateLog, err error) {
	o := orm.NewOrmUsingDB("data")
	sql := ` SELECT * FROM edb_update_log WHERE 1=1 `
	if condition != "" {
		sql += condition
	}
	sql += `ORDER BY id ASC limit 500 `
	_, err = o.Raw(sql, pars).QueryRows(&item)

	return
}

type EdbData struct {
	EdbDataId     int32     `orm:"column(edb_data_id);pk" json:"edb_data_id"`
	EdbInfoId     int32     `json:"edb_info_id"`    // 指标id
	EdbCode       string    `json:"edb_code"`       // 指标编码
	DataTime      time.Time `json:"data_time"`      // 数据日期
	Value         float64   `json:"value"`          // 数据值
	CreateTime    time.Time `json:"create_time"`    // 创建时间
	ModifyTime    time.Time `json:"modify_time"`    // 修改时间
	DataTimestamp int64     `json:"data_timestamp"` // 数据日期时间戳
}
